## BETWEEN-Prädikat (between_predicate)

Das BETWEEN-Prädikat (between_predicate) ist ein Prädikat, das prüft, ob ein Wert in einem vorgegebenen Intervall liegt.

### Syntax

<between_predicate> ::= <expression> [NOT] BETWEEN <expression> AND <expression>

### Beispiele

SQL-Tutorial, Bedingungen: Vergleich, AND, OR, BETWEEN, IN, Negative Bedingungen: NOT

### Erläuterung

Seien x,y und z die Ergebnisse des ersten, zweiten und dritten Ausdrucks (expression). Die Werte x,y,z müssen miteinander vergleichbar sein.

| Ergebnis des angegebenen Prädikats
x BETWEEN y AND z | x>=y AND x<=z
x NOT BETWEEN y AND z | NOT(x BETWEEN y AND z)
x, y, oder z sind NULL-Werte | x [NOT] BETWEEN y AND z ist undefiniert